package sgc.portal.cd.cdpop.persistence;

import org.apache.ibatis.annotations.Mapper;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cdpop.dto.CDPOPSearch;

import java.util.List;

@Mapper
public interface CDPOPMapper {
	
	List<EasyHashMap<String, Object>> getCcList(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getCcAsList(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getCcSiteList(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getJobtypListKo(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getJobtypListEn(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getEqpmListKo(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getEqpmListEn(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getBdmtListKo(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getBdmtListEn(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getCovendNmList(CDPOPSearch search);
	
	List<EasyHashMap<String, Object>> getVendList(CDPOPSearch search);
	
}
